---
title: "Reads the store's takings and audience totals since its first order."
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sherpo.io/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sherpo merchant API › transaction

`GET /v1/stores/{store}/totals`

## Authentication

- `bearer`, http, header `Authorization`, scopes: `transaction:read`

## Path parameters

- `store` (`storeTotals.path.store`; string, required) — The store's id.

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sherpo.io/merchant/v1/stores/<store>/totals' \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://api.sherpo.io/merchant/v1/stores/<store>/totals';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sherpo.io/merchant/v1/stores/<store>/totals"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

Reads the store's takings and audience totals since its first order.

#### Example

```json
{
  "time_zone": "string",
  "since": "string",
  "store_currency": {
    "currency": "string",
    "exponent": 0
  },
  "orders": 0,
  "customers": 0,
  "active_subscriptions": 0,
  "currencies": [
    {
      "currency": "string",
      "exponent": 0,
      "orders": 0,
      "gross": 0,
      "refunded": 0,
      "platform_fee": 0,
      "processor_fee": 0,
      "affiliate_fee": 0,
      "net": 0,
      "average": 0
    }
  ]
}
```

- `time_zone` (`storeTotals.response.200.time_zone`; string, required)
- `since` (`storeTotals.response.200.since`; any of, required)
  - any of: `string`, `null`
- `store_currency` (`storeTotals.response.200.store_currency`; any of, required)
  - any of: `object`, `null`
- `orders` (`storeTotals.response.200.orders`; number, required)
- `customers` (`storeTotals.response.200.customers`; number, required)
- `active_subscriptions` (`storeTotals.response.200.active_subscriptions`; number, required)
- `currencies` (`storeTotals.response.200.currencies`; array<object>, required)
  - `currency` (`storeTotals.response.200.currencies.currency`; string, required)
  - `exponent` (`storeTotals.response.200.currencies.exponent`; any of, required)
    - any of: `number`, `null`
  - `orders` (`storeTotals.response.200.currencies.orders`; number, required)
  - `gross` (`storeTotals.response.200.currencies.gross`; any of, required)
    - any of: `number`, `null`
  - `refunded` (`storeTotals.response.200.currencies.refunded`; any of, required)
    - any of: `number`, `null`
  - `platform_fee` (`storeTotals.response.200.currencies.platform_fee`; any of, required)
    - any of: `number`, `null`
  - `processor_fee` (`storeTotals.response.200.currencies.processor_fee`; any of, required)
    - any of: `number`, `null`
  - `affiliate_fee` (`storeTotals.response.200.currencies.affiliate_fee`; any of, required)
    - any of: `number`, `null`
  - `net` (`storeTotals.response.200.currencies.net`; any of, required)
    - any of: `number`, `null`
  - `average` (`storeTotals.response.200.currencies.average`; any of, required)
    - any of: `number`, `null`

### default

A problem; see https://api.sherpo.io/merchant/docs/errors.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "detail": "string",
  "code": "string",
  "context": {},
  "reached_core": true,
  "core_answer": "string"
}
```

- `type` (`storeTotals.response.default.type`; string, required)
  - format `uri`
- `title` (`storeTotals.response.default.title`; string, required)
- `status` (`storeTotals.response.default.status`; integer, required)
- `detail` (`storeTotals.response.default.detail`; string, required)
- `code` (`storeTotals.response.default.code`; string, optional)
- `context` (`storeTotals.response.default.context`; object, optional)
- `reached_core` (`storeTotals.response.default.reached_core`; boolean, optional)
- `core_answer` (`storeTotals.response.default.core_answer`; string, optional)


Source: https://docs.sherpo.io/merchant-api/reference/store-totals/index.md
